Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
iseq_inline_storage_entry Union Reference

`#include <vm_core.h>`

## Data Fields
struct {
struct rb_thread_struct * running_thread
VALUE value
VALUE done
} | once
struct iseq_inline_cache_entry | cache

## Detailed Description

Definition at line 141 of file vm_core.h.

## Field Documentation

struct iseq_inline_cache_entry iseq_inline_storage_entry::cache

Definition at line 147 of file vm_core.h.

VALUE iseq_inline_storage_entry::done

Definition at line 145 of file vm_core.h.

struct { ... } iseq_inline_storage_entry::once

Referenced by vm_once_clear().

struct rb_thread_struct* iseq_inline_storage_entry::running_thread

Definition at line 143 of file vm_core.h.

Referenced by vm_once_clear().

VALUE iseq_inline_storage_entry::value

Definition at line 144 of file vm_core.h.

The documentation for this union was generated from the following file:

- vm_core.h